 CPP1730:    PGM        PARM(&FILE &MBR &RCDFMT &INTPGM)

             /*         Program - CPP1730  */
             /*         CPP for command DSPDEP  */
             /*         Display data base file references */

             DCL        &FILE   *CHAR 20 /* Qualified file/library */
             DCL        &MBR    *CHAR 10 /* Selected member name   */
             DCL        &RCDFMT *CHAR 10 /* Selected record format */
             DCL        &INTPGM *CHAR 20 /* Option interupt program */

             DCL        &MSGDTA *CHAR 132 /* Message forwarding */
             DCL        &MSGID  *CHAR 7   /* variables... */
             DCL        &CNT    *DEC  3   /* Msg counter */
             MONMSG     MSGID(CPF0000) EXEC(GOTO RCVMSG)

             DLTF       FILE(CPP1730.QTEMP)
             MONMSG     MSGID(CPF0000)

             IF         (&MBR *EQ '*FILE') DO
               CHGVAR     VAR(&MBR) VALUE(%SST(&FILE 01 10))
             ENDDO

             IF         (&RCDFMT *EQ '  ') DO
               CHGVAR     VAR(&RCDFMT) VALUE('*NONE')
             ENDDO

             IF         (&MBR *EQ *NONE *AND &RCDFMT *EQ *NONE) DO
             DSPDBR     FILE(%SST(&FILE 01 10).%SST(&FILE 11 10)) +
                          OUTPUT(*NONE) OUTFILE(CPP1730.QTEMP)
             ENDDO
             ELSE       IF (&RCDFMT *EQ *NONE) DO
               DSPDBR     FILE(%SST(&FILE 01 10).%SST(&FILE 11 10)) +
                            MBR(&MBR) OUTPUT(*NONE) +
                            OUTFILE(CPP1730.QTEMP)
             ENDDO
             ELSE       DO
               DSPDBR     FILE(%SST(&FILE 01 10).%SST(&FILE 11 10)) +
                            RCDFMT(&RCDFMT) OUTPUT(*NONE) +
                             OUTFILE(CPP1730.QTEMP)
             ENDDO

             OVRDBF     FILE(QADSPDBR) TOFILE(CPP1730.QTEMP) +
                          LVLCHK(*NO)

             CALL       PGM(CPP1731) PARM(&FILE &MBR &RCDFMT &INTPGM)

             GOTO       ENDPGM

 RCVMSG:     /*         Receive and forward program messages. */
             IF         (&CNT *GT 10) GOTO ENDPGM
             RCVMSG     RMV(*YES) MSGDTA(&MSGDTA) MSGID(&MSGID)
             IF         (&MSGID *EQ ' ')  RETURN
             IF         (%SST(&MSGID 1 2) *EQ 'CP'  +
                     *OR %SST(&MSGID 1 3) *EQ 'MCH')  +
             DO
              IF         (&MSGDTA *EQ ' ') SNDPGMMSG  MSGID(&MSGID) +
                          MSGF(QCPFMSG) TOPGMQ(*PRV) MSGTYPE(*DIAG)
              ELSE       SNDPGMMSG  MSGID(&MSGID) MSGF(QCPFMSG) +
                          MSGDTA(&MSGDTA) TOPGMQ(*PRV) MSGTYPE(*DIAG)
              CHGVAR     VAR(&CNT) VALUE(&CNT + 1)
             ENDDO

 ENDPGM:     ENDPGM
